<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="author" content="http://www.filmotech.fr">
<title>Exportation MySQL -> XML Filmotech</title>
</head>
<body>
<h3>FILMOTECH - Exportation d'une base publiée MySQL vers un fichier XML au format Filmotech</h3>
<h4>(c) 2009-2015 - Pascal PLUCHON</h4>
<?php
/* 
	FILMOTECH - Exportation d'une base publiée MySQL vers un fichier XML au format Filmotech
	(c) 2009-2015 - Pascal PLUCHON
*/
  
// Site parameters
require_once("include/config.inc.php");

// Get configuration
$cfg = new CONFIG();

// Connection to database
try
{
	if ( $cfg->DB_TYPE == 'sqlite' ) {
	    $db = new PDO('sqlite:'.$cfg->DB_NAME.'.sqlite3');
	} else {
	    $db = new PDO('mysql:host='.$cfg->DB_SERVER.';dbname='.$cfg->DB_NAME, $cfg->DB_USER, $cfg->DB_PASSWORD);
		$db->query("SET NAMES UTF8"); 
	}
}
catch (Exception $e)
{
	die('Erreur : ' . $e->getMessage());
}

$select = "SELECT * FROM " . $cfg->DB_TABLE . " LIMIT 10000";
$response = $db->query($select);

$liste_champ = array( 'ID','DateHeureMAJ','TitreVF','TitreVO','Genre','Pays','Annee','Duree','Note','Synopsis','Acteurs','Realisateurs','Commentaires',
'Support','NombreSupport','Edition','Zone','Langues','SousTitres','Audio','Bonus','EntreeType','EntreeSource','EntreeDate','Sortie','SortieType',
'SortieDestinataire','SortieDate','SortiePrix','PretEnCours','FilmVu','Reference','BAChemin','BAType','MediaChemin','MediaType' );
 
/* CONNEXION: $q étant le résultat d'une requète */
$xml = '<?xml version="1.0" encoding="UTF-8"?><Filmotech_Films>';
while ($dat = $response->fetch()) {
	$xml .= '<Film>';
	foreach( $liste_champ as $champ ) {
	  if ($dat[$champ] == "")
		    $xml .= '<' . $champ . '/>';
	  else
		    $xml .= '<'.$champ.'>'.htmlspecialchars( $dat[$champ] ).'</'.$champ.'>';
	} 
$xml .= '</Film>';
}
$xml .= '</Filmotech_Films>';

$Fichier = fopen('filmotech_mysql.xml', 'w+');
fputs($Fichier, $xml);
fclose($Fichier);

echo( '<br />Fichier de sauvegarde généré : <a href="filmotech_mysql.xml">cliquez ici</a> pour le télécharger (ou bouton droit - Enregistrer)<br />' );

?>
<br /><br /><br />
Pour plus d'infos : <a href="https://www.filmotech.fr">www.filmotech.fr</a>
</body>
</html>